dagconfig(1)

NAME
dagconfig - Endace DAG card configuration utility

SYNOPSIS
dagconfig [options]

DESCRIPTION
dagconfig is used to configure and display statistics from an Endace card. This tool replaces earlier card specific configuration tools such as dagthree (1), dagfour (1) and dagsix (1) and works on all Endace cards. The tool is build using Endace' Configuration and Status API.

OPTIONS
dagconfig accepts different options for different cards. There are, however, options that are valid for all cards. Below is a list of generic options followed by card specific options.

Generic options [valid for all cards)

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, d0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards. If no device is specified, dagconfig assumes d0.

-h

--help
    Display usage (help) information.

-v

--verbose
    Increase output verbosity. Specifying this flag twice [as -v -v or -vv) will enable verbose output for the commandline option parser. This is primarily intended for debugging purposes, and can be used to verify if the parser's idea of the given commandline options is the same as yours.

-V

--version
    Display version information.

default
    Configures the card to its default state.

reset
    Resets the card.

mem=x:y
    Allocates x and y MB of memory to receive and send streams.

fcl
    Enable or disable the facility loopback [FCL) capability. Used for testing, should normally be disabled.

eql

    Enable or disable the equipment loopback [EQL) capability. Used for testing, should normally be disabled.

slen=[x]
    Sets the number of bytes x to capture from each packet. The snap length applies to the packet as seen on the wire, and thus excludes the ERF header.

[no]varlen
    Sets variable length or fixed length capture. If disabled (i.e. fixed length capture is set) ERF records produced are padded up to the number of bytes specified by the snaplen attribute.

[dis|e]nablea
    Enable or disable port A. This option is not available under all firmware images.

[dis|e]nableb
    Enable or disable port B.

Card specific options

dag70ge

[no]align64
    Sets 32-bit or 64-bit alignment of the received ERF records. When this is set received ERFs will be padded to the next 64-bit boundary.

[no]laser
    Turns the laser on or off.

[no]nic
    Enable or disable Ethernet auto-negotiation mode. By default this is disabled; the disabled mode is intended for use with optical fibre splitters, and in the disabled mode Ethernet auto-negotiation is not performed.

[no]sfppwr
    Enable or disable optics transmit power.

[no]rktiopwr
    Enable or disable power to a Rocket I/O.

terf_strip16
    Transmit ERF records after striping last 16 bits.

terf_strip32
    Transmit ERF records after stripping the last 32 bits.

noterf_strip
    Transmit ERF records without stripping any trailing bits.

dag71s|dag50s

rawslen=[x][only71s)
    The number of bytes x to capture from each RAW packet. The snap length applies to the packet as seen on the wire, and thus excludes the ERF header.

[no]align64

    32-bit or 64-bit alignment of received ERF records. When this is set, received ERFs will be padded to the next 64-bit boundary.

head|tail
    Timestamp is added to the head or tail of the ERF record. Not supported in all firmware images.

[dis|e]nablec
    Enable or disable port C (only dag71s concatenated firmware images).

[dis|e]nabled
    Enable or disable port D (only dag71s).

oc3|oc12|oc48
    Sets the line rate.

atm
    Configures the card for ATM mode.

pos
    Configures the card for POS mode.

vc3|vc4|vc4c
    Virtual connection mode.

tu11|tu12
    Selects the tributary unit modes.

[no]scramble
    Enable or disable SONET frame scrambling.

[no]overlap
    Share the memory hole between the receive and transmit streams. Used for inline forwarding of packets.

[no]laser
    Configures the transmit laser to be on or off.

[no]sfppwr
    Enable or disable optics transmit power.

[no]crc
    Selects the CRC to use. This option is only available for concatenated firmware.

master|slave
    Configures the card in SONET clock master or slave mode.

e1|e1_unframed|e1_crc|t1|t1_unframed|t1_esf|t1_sf
    Selects the line type.

terf_strip16
    Transmit ERF records after stripping the last 16 bits.

terf_strip32
    Transmit ERF records after stripping the last 32 bits.

noterf_strip
    Transmit ERF records without stripping any trailing bits.

-c channel_file
    Configures the channels as specified in the channel_file. Please see Endace' card user manual for more details.

dag62se

pos
    Configures the card for POS mode.

[no]pscramble
    Enable or disable payload scrambling for a concatenated POS demapper

[w|l)an
    Selects between Ethernet WAN or LAN.

raw
    Captures traffic in RAW mode.

[no]crc
    Enables/Disable CRC.

[no]pmin
    Enable or disable discarding of packets shorter than minimum packet length.

[no]pmax
    Enable or disable discarding of packets shorter than maximum packet length.

short=[x]
    Sets the minmum packet length to x bytes.

long=[x]
    Sets the maximum packet length to x bytes.

dag37d

atm|hdlc
    Configures the card for ATM or HDLC mode.

[no]descramble
    Enable or disable receive cell descrambling.

[no]rx_monitor
    Enable or disable RX Monitoring

ds3_m23|ds3_m23_ff|ds3_m23_ef|ds3_m23_if|ds3_cbit|ds3_cbit_ff|ds3_cbit_ef|ds3_cbit_if
    Framing modes.

dag82x

[no]overlap
    Share the memory hole between the receive and transmit streams. Used for inline forwarding of packets.

[no]drop
    Tells the card where to drop packets and is generally used with hlb images. If on dropping of packets occurs at the individual stream that has filled up. If off dropping occurs at the General Packet Processor (GPP).

steer=[stream0|parity|crc|iface|colour|dsm]
    Sets the ERF record steering mode.

[no]tx_crc
    Enable or disable CRC appending onto transmitted frames.

terf_strip16
    Transmit ERF records after stripping the last 16 bits.

terf_strip32
    Transmit ERF records after stripping the last 32 bits.

noterf_strip
    Transmit ERF records without stripping any trailing bits.

relative|nodelay
    Transmit ERF records in relative mode or nonrelative mode.

[no]txrxerror
    Sets the mask of Rx-Error in the ERF header.

EXAMPLES
Setting up DAG card d0 to use the default settings:
    dagconfig -d0 default

Setting up DAG card d0 with a snap length of 200 bytes:
    dagconfig -d0 slen=200

Setting up DAG card d0 with EQL turned on:
    dagconfig -d0 eql

SEE ALSO
Endace Configuration and Status API user guide.

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: usama $
$Revision: 7247 $
$Date: 2007-08-27 14:00:08 +1200 (Mon, 27 Aug 2007) $

COPYRIGHT
(c) 2004-2007 Endace Technology, Hamilton, New Zealand. All Rights Reserved.